
Infrastructure - Task #1259

Story # 889 (Closed): implement registry node response at baseURL for Member Nodes

create integration tests for this

2011-01-24 19:58 - Rob Nahf

Status: Closed Start date: 2011-01-24

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.12-Block.2   

Milestone:  Story Points:  

Product Version: *   

Description

since a member node, only returns a nodelist object containing one node (itself), for example (linebreaks inserted):

<?xml version="1.0" encoding="UTF-8"?>

 http://knb-mn.ecoinformatics.org

metacat -- WAR version 2011.02.18.11.17

A metacat member node.

 http://knb.ecoinformatics.org/knb/d1/

/d1:nodeList

(and without the linebreaks):

<?xml version="1.0" encoding="UTF-8"?>http://knb-mn.ecoinformatics.orgmetacat -- WAR version 2011.02.18.11.17A metacat

member node.http://knb.ecoinformatics.org/knb/d1//d1:nodeList

History

#1 - 2011-01-24 20:00 - Rob Nahf

- Category deleted (d1_cn_service)

#2 - 2011-03-07 18:05 - Rob Nahf

- translation missing: en.field_remaining_hours set to 2.0

#3 - 2011-03-14 19:01 - Rob Nahf

- Status changed from New to In Progress

#4 - 2011-03-14 19:05 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours changed from 2.0 to 0.0

added testNodeResponse to D1ClientTest in d1_integration.  checks to make sure a NodeList object is returned.
